geos::operation::overlay::snap::SnapOverlayOp Class Reference

Performs an overlay operation using snapping and enhanced precision to improve the robustness of the result. More...

`#include <SnapOverlayOp.h>`

## Public Member Functions

| SnapOverlayOp (const geom::Geometry &g1, const geom::Geometry &g2)
std::unique_ptr< geom::Geometry > | getResultGeometry (int opCode)

## Static Public Member Functions

static std::unique_ptr< geom::Geometry > | overlayOp (const geom::Geometry &g0, const geom::Geometry &g1, int opCode)
static std::unique_ptr< geom::Geometry > | intersection (const geom::Geometry &g0, const geom::Geometry &g1)
static std::unique_ptr< geom::Geometry > | Union (const geom::Geometry &g0, const geom::Geometry &g1)
static std::unique_ptr< geom::Geometry > | difference (const geom::Geometry &g0, const geom::Geometry &g1)
static std::unique_ptr< geom::Geometry > | symDifference (const geom::Geometry &g0, const geom::Geometry &g1)

## Detailed Description

Performs an overlay operation using snapping and enhanced precision to improve the robustness of the result.

This class always uses snapping. This is less performant than the standard JTS overlay code, and may even introduce errors which were not present in the original data. For this reason, this class should only be used if the standard overlay code fails to produce a correct result.

The documentation for this class was generated from the following file:

- SnapOverlayOp.h